package com.njcn.pojo.configuration;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * 线路参数附加定义表
 * */
@Table(name = "PQ_LINEDETAIL")
public class LineDetail {

	@Id
	@Column(name = "LINE_INDEX")
	private Long lineIndex;

	@Column(name = "SUB_INDEX")
	private Long subIndex;

	@Column(name = "GD_INDEX")
	private Long gdIndex;

	@Column(name="LINE_NAME")
	private String lineName;

	//接线类型
	@Column(name="PTTYPE")
	private Integer ptType;

	//上次更新时间
	@Column(name="LAST_TIME")
	private Date lastTime;

	//测量间隔
	@Column(name="TINTERVAL")
	private Integer tinterval;

	//干扰源类型终
	@Column(name="LOADTYPE")
	private String loadType;

	//行业类型
	@Column(name="BUSINESSTYPE")
	private String businessType;

	//监测点性质
	@Column(name="POWERID")
	private Integer powerId;

	//备注
	@Column(name="REMARK")
	private String remark;

	//国网谐波监测平台监测点号
	@Column(name="MONITOR_ID")
	private String monitorId;

	@Column(name="OBJNAME")
	private String objName; //监测点对象名称

	//统计类型
	@Column(name = "STATFLAG")
	private Integer statFlag;


	//电网侧变电站名称
	@Column(name = "POWER_SUBSTATION_NAME")
	private String powerSubstationName;

	//分类等级 内容为Ⅰ、Ⅱ、Ⅲ、Ⅳ
	@Column(name = "CLASSIFICATION_GRADE")
	private String calssificationGrade;


	//上级电站
	@Column(name = "SUPERIORS_SUBSTATION")
	private String superiorsSubstation;

	//挂接线路
	@Column(name = "HANG_LINE")
	private String hangLine;


	//监测点拥有者
	@Column(name = "OWNER")
	private String owner;

	//拥有者职务
	@Column(name = "OWNER_DUTY")
	private String ownerDuty;

	//拥有者联系方式
	@Column(name = "OWNER_TEL")
	private String ownerTel;

	//接线图
	@Column(name = "WIRING_DIAGRAM")
	private String wiringDiagram;

	//是否并网点
	@Column(name = "IS_GRID_POINT")
	private Integer isGridPoint;


	public Integer getIsGridPoint() {
		return isGridPoint;
	}

	public void setIsGridPoint(Integer isGridPoint) {
		this.isGridPoint = isGridPoint;
	}

	public Long getLineIndex() {
		return lineIndex;
	}

	public void setLineIndex(Long lineIndex) {
		this.lineIndex = lineIndex;
	}

	public Long getSubIndex() {
		return subIndex;
	}

	public void setSubIndex(Long subIndex) {
		this.subIndex = subIndex;
	}

	public Long getGdIndex() {
		return gdIndex;
	}

	public void setGdIndex(Long gdIndex) {
		this.gdIndex = gdIndex;
	}

	public String getLineName() {
		return lineName;
	}

	public void setLineName(String lineName) {
		this.lineName = lineName;
	}

	public Integer getPtType() {
		return ptType;
	}

	public void setPtType(Integer ptType) {
		this.ptType = ptType;
	}

	public Date getLastTime() {
		return lastTime;
	}

	public void setLastTime(Date lastTime) {
		this.lastTime = lastTime;
	}

	public Integer getTInterval() {
		return tinterval;
	}

	public void setTInterval(Integer tinterval) {
		this.tinterval = tinterval;
	}

	public String getLoadType() {
		return loadType;
	}

	public void setLoadType(String loadType) {
		this.loadType = loadType;
	}

	public String getBusinessType() {
		return businessType;
	}

	public void setBusinessType(String businessType) {
		this.businessType = businessType;
	}

	public Integer getPowerId() {
		return powerId;
	}

	public void setPowerId(Integer powerId) {
		this.powerId = powerId;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getMonitorId() {
		return monitorId;
	}

	public void setMonitorId(String monitorId) {
		this.monitorId = monitorId;
	}

	public String getObjName() {
		return objName;
	}

	public void setObjName(String objName) {
		this.objName = objName;
	}

	public Integer getStatFlag() {
		return statFlag;
	}

	public void setStatFlag(Integer statFlag) {
		this.statFlag = statFlag;
	}

	public String getPowerSubstationName() {
		return powerSubstationName;
	}

	public void setPowerSubstationName(String powerSubstationName) {
		this.powerSubstationName = powerSubstationName;
	}

	public Integer getTinterval() {
		return tinterval;
	}

	public void setTinterval(Integer tinterval) {
		this.tinterval = tinterval;
	}

	public String getCalssificationGrade() {
		return calssificationGrade;
	}

	public void setCalssificationGrade(String calssificationGrade) {
		this.calssificationGrade = calssificationGrade;
	}

	public String getSuperiorsSubstation() {
		return superiorsSubstation;
	}

	public void setSuperiorsSubstation(String superiorsSubstation) {
		this.superiorsSubstation = superiorsSubstation;
	}

	public String getHangLine() {
		return hangLine;
	}

	public void setHangLine(String hangLine) {
		this.hangLine = hangLine;
	}

	public String getOwner() {
		return owner;
	}

	public void setOwner(String owner) {
		this.owner = owner;
	}

	public String getOwnerDuty() {
		return ownerDuty;
	}

	public void setOwnerDuty(String ownerDuty) {
		this.ownerDuty = ownerDuty;
	}

	public String getOwnerTel() {
		return ownerTel;
	}

	public void setOwnerTel(String ownerTel) {
		this.ownerTel = ownerTel;
	}

	public String getWiringDiagram() {
		return wiringDiagram;
	}

	public void setWiringDiagram(String wiringDiagram) {
		this.wiringDiagram = wiringDiagram;
	}


	@Override
	public String toString() {
		return "LineDetail [lineIndex=" + lineIndex + ", subIndex=" + subIndex + ", gdIndex=" + gdIndex + ", lineName="
				+ lineName + ", ptType=" + ptType + ", lastTime=" + lastTime + ", tinterval=" + tinterval
				+ ", lineType=" + loadType + ", industryType=" + businessType + ", remark=" + remark + ", monitorId=" + monitorId + "]";
	}



}
